## Process this file with automake to produce Makefile.in

@SET_MAKE@

localedir = $(datadir)/locale
INCLUDES = -I../intl -DLOCALEDIR=\"$(localedir)\" $(GTK_CFLAGS)

bin_PROGRAMS = xcdroast
pkgbin_PROGRAMS = wavplay rmtool vrfytool cddbtool xcdrwrap

# Note: wildcards work only with an explicit '${srcdir}'
pkgicons_DATA = ${srcdir}/../lib/icons/*
pkgsound_DATA = ${srcdir}/../lib/sound/*

# Create sysconfdir
sysconf_DATA =

pkgbindir = $(XCDRLIB_PREFIX)/bin
pkgiconsdir = $(XCDRLIB_PREFIX)/icons
pkgsounddir = $(XCDRLIB_PREFIX)/sound

xcdroast_SOURCES = main.c init.c tools.c xtools.c menus.c \
	setup.c io.c duplicate.c wav_frontend.c wav_id.c create.c \
	largefile.h language.h main.h xcdrdata.h xcdroast.h gettext.h

xcdroast_CFLAGS = $(GNUCFLAGS) $(GDK_PIXBUF_CFLAGS) $(EXTRA_CFLAGS) $(AM_CFLAGS) -DPRE_PREFIX="\"$(prefix)\"" -DPRE_LIBDIR="\"$(XCDRLIB_PREFIX)\"" -DCDRTOOLS_PREFIX="\"$(CDRTOOLS_PREFIX)\"" -DSYSCONFDIR="\"$(sysconfdir)\"" -DUSE_NONROOTMODE="$(USE_NONROOTMODE)"
xcdroast_LDFLAGS = $(EXTRA_LDFLAGS)
xcdroast_LDADD = @LIBINTL@ @ALLOCA@ $(GTK_LIBS) $(GDK_PIXBUF_LIBS) $(AUDIO_LIBS)

wavplay_SOURCES = wavplay.c wav_id.c tools.c largefile.h xcdroast.h
wavplay_CFLAGS = $(GNUCFLAGS) $(EXTRA_CFLAGS) $(AM_CFLAGS)
wavplay_LDFLAGS = $(EXTRA_LDFLAGS)
wavplay_LDADD = $(GLIB_LIBS) $(AUDIO_LIBS)

rmtool_SOURCES = rmtool.c largefile.h xcdroast.h
rmtool_CFLAGS = $(GNUCFLAGS) $(EXTRA_CFLAGS) $(AM_CFLAGS)
rmtool_LDFLAGS = $(EXTRA_LDFLAGS)
rmtool_LDADD = $(GLIB_LIBS)

vrfytool_SOURCES = vrfytool.c largefile.h xcdroast.h
vrfytool_CFLAGS = $(GNUCFLAGS) $(EXTRA_CFLAGS) $(AM_CFLAGS)
vrfytool_LDFLAGS = $(EXTRA_LDFLAGS)
vrfytool_LDADD = $(GLIB_LIBS)

cddbtool_SOURCES = cddbtool.c tools.c largefile.h xcdroast.h xcdrdata.h main.h
cddbtool_CFLAGS = $(GNUCFLAGS) $(EXTRA_CFLAGS) $(AM_CFLAGS)
cddbtool_LDFLAGS = $(EXTRA_LDFLAGS)
cddbtool_LDADD = $(GLIB_LIBS)

xcdrwrap_SOURCES = xcdrwrap.c largefile.h xcdroast.h
xcdrwrap_CFLAGS = $(GNUCFLAGS) $(EXTRA_CFLAGS) $(AM_CFLAGS) -DPRE_PREFIX="\"$(prefix)\"" -DPRE_LIBDIR="\"$(XCDRLIB_PREFIX)\"" -DCDRTOOLS_PREFIX="\"$(CDRTOOLS_PREFIX)\"" -DSYSCONFDIR="\"$(sysconfdir)\"" -DUSE_NONROOTMODE="$(USE_NONROOTMODE)"

